# common | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

# @stacks/common

Common utilities used by Stacks.js packages.

## Installation

    npm install @stacks/common

## Index

### Enumerations

- ChainID
- TransactionVersion

### Interfaces

- HubErrorDetails

### Variables

- Buffer

### Functions

- getBase64OutputLength

## Variables

### Const Buffer

Buffer: typeof NodeJSBuffer = ...

- Defined in packages/common/src/utils.ts:12

## Functions

### getBase64OutputLength

- getBase64OutputLength(inputByteLength: number): number

- - Defined in packages/common/src/utils.ts:78

  Calculate the base64 encoded string length for a given input length. This is equivalent to the byte length when the string is ASCII or UTF8-8 encoded.

  #### Parameters

  - ##### inputByteLength: number

  #### Returns number

Generated using TypeDoc